ACS 4.2 on Windows Server 2008 Question

Unanswered Question

We currently run ACS 3.3 on a member server. We authenticate users to AD groups for Wireless and Network Management of hardware Devices. We upgrading to ACS version 4.2 on new hardware. From discussion on this forum it looks like we can run Windows Server 2008 if we have patch 4 installed. I think this conflicts what is stated in the administrative guide. Can anyone confirm that Cisco supports ACS 4.2 on Windows Server 2008 and and if so whether x64 is supported?

Thanks for your help.

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (2 ratings)
Jatin Katyal Mon, 09/21/2009 - 08:17


support for Windows Server 2008 is started for ACS 4.2 Patch 4 onwards. However, None of ACS version supports 64x-bit operating system and this is applicable for all versions.

The enhancement request for ACS and Remote Agent to support 64-bit OS

CSCsh56547 Enhancement: ACS and Remote Agent should support 64-bit systems

is implemented in ACS At this point in time, that release is planned

to be mid October.

check system requirement link and look for "Note ACS 4.2 for Windows

does not support 64-bit operating systems"

System Requirements for ACS 4.2 for Windows


Windows and Active Directory 2008 Supported Scenarios


The only way is you need to run the CiscoSecure ACS in 32-bit emulation mode.




MARC MONTANARI Tue, 10/06/2009 - 08:59

Hie Jatin,

and what about "ACS Remote Agent" ?

My customer has 2 ACS Se on 1112 aplliances.

1°) Can I install the "ACS Remote Agents" on a Windows 2008 system ? This is not what is indicated in the "Installation Guide" for Remote Agents 4.2. This guide speaks only about WS2000 and WS2003

2°) does ACS SE 4.2 will support as well AD 2008 as ACS for Windows does ?

Jatin Katyal Tue, 10/06/2009 - 09:08


Yes, you can install remote agent on windows server OS 2008 only when you have ACS solution engine and remote agent running with patch 4 or above.



Plz rate helpful posts.


This Discussion